GNU bug report logs - #11325
24.1.50; regression: bad order for `substitute-command-keys' with keymap

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Drew Adams" <drew.adams@HIDDEN>; Keywords: confirmed; dated Tue, 24 Apr 2012 15:14:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 11325 <at> debbugs.gnu.org:


Received: (at 11325) by debbugs.gnu.org; 21 Oct 2021 03:11:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 20 23:11:42 2021
Received: from localhost ([127.0.0.1]:55839 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdOUX-00068O-U9
	for submit <at> debbugs.gnu.org; Wed, 20 Oct 2021 23:11:42 -0400
Received: from quimby.gnus.org ([95.216.78.240]:54228)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mdOUW-00068B-BO
 for 11325 <at> debbugs.gnu.org; Wed, 20 Oct 2021 23:11:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ee6mQPUPDognaoWhhpxbWpCN7UzJMu41rrbRN8mEmgQ=; b=snjScsnOOHFU90JT3GbxeeKZDP
 yOZsXEKxCjMkyXRKol/yO6Yf/iNPXhMGRwfY1nVS5VSpXn0FVPnOXhqZ6ondqgRo68IEOlVVXMnWh
 v4y7flpEDrESNlUVggyIy+K51c92zQIgS7/BqZkGabjKhXSP/Q6E/4/XXjw8UXEdQ4nw=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mdOUN-0005QV-Ir; Thu, 21 Oct 2021 05:11:33 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#11325: 24.1.50; regression: bad order for
 `substitute-command-keys' with keymap
References: <FE385EB467D44FCA9B368B25DA2B90DE@HIDDEN>
 <87a9dza7gl.fsf@HIDDEN>
 <CADwFkmnsY9pGbGBzCLgJVDZYc39JMLzdf2uNDHCgV_C2DUFEtQ@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEVPSZeWZJemqNJL
 J1z///9SRQkfAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+UKFQIpL0s56UEAAAGPSURBVDjLbZSLscQg
 CEUhNCDaQLQCMvTf2+OjxrxZd3Ym4Xj5KQGYC0euDt9Vx/hJLrdwQef3P0EBIAU28gG3kIo9EIzB
 rx19u9uRtB5hmMFIahAOZ6blQupLsFxbcnXT6FwCVJdk3MhNN3HJnTWUWsJGlrAKwwQ4kIm2QtG2
 JmAuoseyrVm9RYA0ccSy8lclkuBJINahFIDSAhx5LVB0ecp6eEaHFXuBiydYuU5XigvsRPlJgLMp
 /tIOhWBEVwfUngTN0y2zEENmonDl4I1BCitGlF4DqFeC4WQW+CyFvWOYnieB7QQJ8laSp+iORK3C
 CaZCKADtyj1IKCRC03FKloGhTFXgPFdz1xLQihBZ+b9MyeyVX604QQfyAsQAD5PYnZx2v7NeYfMm
 MkF7ARa2wejooDxlhSDB7rPUvWPWDLvx6/bwqDFrzN3bvyUQs2fAf7UJvKD7dA5r8jBwjCDWmOde
 HZUDQO3pzZPjE1zDNlcrxgfwlOD+MNi9+fja34zPd+ElHX6v63iWEyDti/wHpVlir3d8zIMAAAAl
 dEVYdGRhdGU6Y3JlYXRlADIwMjEtMTAtMjFUMDI6NDE6NDYrMDA6MDDcWq4VAAAAJXRFWHRkYXRl
 Om1vZGlmeQAyMDIxLTEwLTIxVDAyOjQxOjQ2KzAwOjAwrQcWqQAAAABJRU5ErkJggg==
X-Now-Playing: Alice Coltrane's _Kirtan Turiya Sings_: "Govinda Hari"
Date: Thu, 21 Oct 2021 05:11:31 +0200
In-Reply-To: <CADwFkmnsY9pGbGBzCLgJVDZYc39JMLzdf2uNDHCgV_C2DUFEtQ@HIDDEN>
 (Stefan Kangas's message of "Wed, 20 Oct 2021 14:32:58 -0700")
Message-ID: <87h7dbhy1o.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Kangas <stefan@HIDDEN> writes: >> Isn't the main
 problem here that it even tries to do a two-letter range? >> Seems awfully
 odd to me: > > This could be easily fixed using: Looks good to me (but I
 haven't tried the patch). 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 11325
Cc: 11325 <at> debbugs.gnu.org, Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas <stefan@HIDDEN> writes:

>> Isn't the main problem here that it even tries to do a two-letter range?
>> Seems awfully odd to me:
>
> This could be easily fixed using:

Looks good to me (but I haven't tried the patch).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11325; Package emacs. Full text available.

Message received at 11325 <at> debbugs.gnu.org:


Received: (at 11325) by debbugs.gnu.org; 20 Oct 2021 21:33:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 20 17:33:06 2021
Received: from localhost ([127.0.0.1]:55634 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdJCs-0003zk-2y
	for submit <at> debbugs.gnu.org; Wed, 20 Oct 2021 17:33:06 -0400
Received: from mail-pg1-f177.google.com ([209.85.215.177]:40904)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mdJCq-0003zG-L0
 for 11325 <at> debbugs.gnu.org; Wed, 20 Oct 2021 17:33:05 -0400
Received: by mail-pg1-f177.google.com with SMTP id q5so23683999pgr.7
 for <11325 <at> debbugs.gnu.org>; Wed, 20 Oct 2021 14:33:04 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=3wzcuYFc0hHtB2l5O940Hi1MIKoiW/p/C9BsZzlKPCc=;
 b=5dV/RSHwaQLlBR417LSeMnJA7zZLslO1kJwnJnoQUVr2S5K+R6ph5Z82VR/5W77wRI
 0UH3tLyUfNxkBEdUbRG1e70mHmdAILTTDPHsXFmQi1enh6IZv3KI2UvrlZgCvVbjzPvO
 H83a0sDY8KgsnOeyrADLuEVJRUZIvpETlT1AXYa5sBWxI6j7K4FRpZNMwtT2nvt5kG6e
 vgsG/FppyQ0437mmKLxgxMEsfCBrhO8Bbxxa6jGWMgnY5A3SbuVwWggR+0SYwYWRk228
 SXJu1bbUosyYrP2V+IOmGq2cOVLi5CmEQaJc3CGAAB7zl7gX0LTEe45jFNHdZ42NJ/q4
 oQpA==
X-Gm-Message-State: AOAM531P7Xcea9sonXsFejsooyy6sT43LquyP9spcGIMjmEDBLqmrk9z
 mDCSb+OqdJu9XGbxGvW/QkGRn/atRp3eJ47nWoI=
X-Google-Smtp-Source: ABdhPJxGRUCX7Z24hkrVPCI/kgNwNsCIw0kII4r5E7xHy7mMjEmWotf5MnCzC0hyh+afnHRhvZFHWn6zKjXRH6DAi6k=
X-Received: by 2002:a63:370c:: with SMTP id e12mr1317936pga.359.1634765578820; 
 Wed, 20 Oct 2021 14:32:58 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 20 Oct 2021 14:32:58 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87a9dza7gl.fsf@HIDDEN> (Lars Ingebrigtsen's message
 of "Sun, 09 Feb 2014 20:59:38 -0800")
References: <FE385EB467D44FCA9B368B25DA2B90DE@HIDDEN>
 <87a9dza7gl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Wed, 20 Oct 2021 14:32:58 -0700
Message-ID: <CADwFkmnsY9pGbGBzCLgJVDZYc39JMLzdf2uNDHCgV_C2DUFEtQ@HIDDEN>
Subject: Re: bug#11325: 24.1.50;
 regression: bad order for `substitute-command-keys' with keymap
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 11325
Cc: 11325 <at> debbugs.gnu.org, Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> "Drew Adams" <drew.adams@HIDDEN> writes:
>
>> Then it was broken differently in Emacs 24, which puts `e..f'
>> first in the list, but restores `0..9' to its rightful place.
>
> Isn't the main problem here that it even tries to do a two-letter range?
> Seems awfully odd to me:

This could be easily fixed using:

diff --git a/src/keymap.c b/src/keymap.c
index ca1dbe368e..1c6f75a767 100644
--- a/src/keymap.c
+++ b/src/keymap.c
@@ -3101,10 +3101,13 @@ describe_vector (Lisp_Object vector,
Lisp_Object prefix, Lisp_Object args,
 	    }
 	}

-      /* If we have a range of more than one character,
-	 print where the range reaches to.  */
+      /* If we have a range of more than two characters, print where
+	 the range reaches to.  We specifically avoid printing two
+	 character ranges, as they aren't very easy on the reader.  */

-      if (i != starting_i)
+      if ((i - starting_i) < 2)
+	i = starting_i;
+      else
 	{
 	  insert (" .. ", 4);

> (substitute-command-keys "\\{dired-mode-map}")
> "key             binding
> ---             -------
>
> e .. f		dired-find-file
>
> C-c		Prefix Command
> RET		dired-find-file
> C-o		dired-display-file
> C-t		Prefix Command
> ESC		Prefix Command
> SPC		dired-next-line
> !		dired-do-shell-command
> #		dired-flag-auto-save-files
> $		dired-hide-subdir
> %		Prefix Command
> &		dired-do-async-shell-command
> (		dired-hide-details-mode
> *		Prefix Command
> +		dired-create-directory
> -		negative-argument
> .		dired-clean-directory
> 0 .. 9		digit-argument




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11325; Package emacs. Full text available.

Message received at 11325 <at> debbugs.gnu.org:


Received: (at 11325) by debbugs.gnu.org; 29 Apr 2016 16:35:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 29 12:35:14 2016
Received: from localhost ([127.0.0.1]:55624 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1awBNp-0004xQ-Uh
	for submit <at> debbugs.gnu.org; Fri, 29 Apr 2016 12:35:14 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:46704)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1awBNo-0004xJ-Lf
 for 11325 <at> debbugs.gnu.org; Fri, 29 Apr 2016 12:35:13 -0400
Received: from cm-84.215.1.64.getinternet.no ([84.215.1.64] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1awBNl-00080j-Rt; Fri, 29 Apr 2016 18:35:11 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#11325: 24.1.50;
 regression: bad order for `substitute-command-keys' with keymap
References: <FE385EB467D44FCA9B368B25DA2B90DE@HIDDEN>
 <87a9dza7gl.fsf@HIDDEN> <87shy5iyjr.fsf@HIDDEN>
 <87oa8tixro.fsf@HIDDEN>
Date: Fri, 29 Apr 2016 18:35:09 +0200
In-Reply-To: <87oa8tixro.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 28 Apr 2016 17:00:27 +0200")
Message-ID: <87mvocz83m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 11325
Cc: 11325 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Here's a test case that's easier to work with.

(defvar foo-map
  (let ((map (make-keymap)))
    (define-key map "a" 'left-char)
    (define-key map "f" 'right-char)
    (define-key map "g" 'right-char)
    (define-key map "z" 'left-char)
    map))

This gives the following wrong output:

(insert (substitute-command-keys "\\{foo-map}"))
key             binding
---             -------

f .. g		right-char

a		left-char
z		left-char

If I use a `make-sparse-keymap' instead, I get the following, correct
output:

key             binding
---             -------

a		left-char
f .. g		right-char
z		left-char

So in non-sparse keymaps, there's something odd about how consecutive
key bindings are represented, and this leaks out in
`substitute-command-keys'.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11325; Package emacs. Full text available.

Message received at 11325 <at> debbugs.gnu.org:


Received: (at 11325) by debbugs.gnu.org; 28 Apr 2016 15:00:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 28 11:00:41 2016
Received: from localhost ([127.0.0.1]:53239 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1avnQk-00038w-8A
	for submit <at> debbugs.gnu.org; Thu, 28 Apr 2016 11:00:41 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:41193)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1avnQf-00038i-2s
 for 11325 <at> debbugs.gnu.org; Thu, 28 Apr 2016 11:00:36 -0400
Received: from cm-84.215.1.64.getinternet.no ([84.215.1.64] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1avnQZ-0006tr-Np; Thu, 28 Apr 2016 17:00:31 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#11325: 24.1.50;
 regression: bad order for `substitute-command-keys' with keymap
References: <FE385EB467D44FCA9B368B25DA2B90DE@HIDDEN>
 <87a9dza7gl.fsf@HIDDEN> <87shy5iyjr.fsf@HIDDEN>
Date: Thu, 28 Apr 2016 17:00:27 +0200
In-Reply-To: <87shy5iyjr.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 28 Apr 2016 16:43:36 +0200")
Message-ID: <87oa8tixro.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 11325
Cc: 11325 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> This is more mysterious than I thought.  describe_map is responsible for
> outputting each map, and I've been staring at it for minutes without
> seeing anything odd.
>
> But let's look at the output again:

That was totally wrong.  What happens is that the e .. f is output by
describe_vector, but all the other characters are in the else.

  for (tail = map; CONSP (tail); tail = XCDR (tail))
    {
      QUIT;

      if (VECTORP (XCAR (tail))
	  || CHAR_TABLE_P (XCAR (tail)))
	describe_vector (XCAR (tail),
			 prefix, Qnil, elt_describer, partial, shadow, map,
			 1, mention_shadow);
      else if (CONSP (XCAR (tail)))

For some reason or other.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11325; Package emacs. Full text available.

Message received at 11325 <at> debbugs.gnu.org:


Received: (at 11325) by debbugs.gnu.org; 28 Apr 2016 14:43:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 28 10:43:41 2016
Received: from localhost ([127.0.0.1]:53235 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1avnAK-0002jg-QH
	for submit <at> debbugs.gnu.org; Thu, 28 Apr 2016 10:43:40 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:40978)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1avnAJ-0002jX-7W
 for 11325 <at> debbugs.gnu.org; Thu, 28 Apr 2016 10:43:39 -0400
Received: from cm-84.215.1.64.getinternet.no ([84.215.1.64] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1avnAG-0006bf-Ij; Thu, 28 Apr 2016 16:43:38 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#11325: 24.1.50;
 regression: bad order for `substitute-command-keys' with keymap
References: <FE385EB467D44FCA9B368B25DA2B90DE@HIDDEN>
 <87a9dza7gl.fsf@HIDDEN>
Date: Thu, 28 Apr 2016 16:43:36 +0200
In-Reply-To: <87a9dza7gl.fsf@HIDDEN> (Lars Ingebrigtsen's message
 of "Sun, 09 Feb 2014 20:59:38 -0800")
Message-ID: <87shy5iyjr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 11325
Cc: 11325 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

This is more mysterious than I thought.  describe_map is responsible for
outputting each map, and I've been staring at it for minutes without
seeing anything odd.

But let's look at the output again:

(substitute-command-keys "\\{dired-mode-map}")
  "key             binding
---             -------

e .. f		dired-find-file

C-c		Prefix Command
RET		dired-find-file
C-o		dired-display-file
[...]
0 .. 9		digit-argument
[...]
c		dired-do-compress-to
d		dired-flag-file-deletion
g		revert-buffer
[...]
S-SPC		dired-previous-line
<follow-link>	mouse-face
<mouse-2>	dired-mouse-find-file-other-window
<remap>		Prefix Command

C-c d		lars-copy-directory

C-t C-t		image-dired-dired-toggle-marked-thumbs
C-t .		image-dired-display-thumb
C-t a		image-dired-display-thumbs-append
C-t c		image-dired-dired-comment-files
C-t d		image-dired-display-thumbs
C-t e		image-dired-dired-edit-comment-and-tags
C-t f		image-dired-mark-tagged-files
C-t i		image-dired-dired-display-image
C-t j		image-dired-jump-thumbnail-buffer

and so on.  The think to observe is that there's an extra newline
after the first "e .. f" line.  This means that it's being output as its
own keymap, I think.  describe_map does not add any extra empty blank
lines, and it sorts ranges just fine, as we can see from the "0 .. 9"
line.

So something is deciding that "e" and "f" come from a separate keymap,
and calling describe_map on that.  Hm...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11325; Package emacs. Full text available.

Message received at 11325 <at> debbugs.gnu.org:


Received: (at 11325) by debbugs.gnu.org; 10 Feb 2014 05:09:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 10 00:09:13 2014
Received: from localhost ([127.0.0.1]:33560 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WCj7I-000832-VB
	for submit <at> debbugs.gnu.org; Mon, 10 Feb 2014 00:09:13 -0500
Received: from aserp1040.oracle.com ([141.146.126.69]:42323)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1WCj7G-00082s-Qa
 for 11325 <at> debbugs.gnu.org; Mon, 10 Feb 2014 00:09:11 -0500
Received: from acsinet21.oracle.com (acsinet21.oracle.com [141.146.126.237])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 s1A599gh018289
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Mon, 10 Feb 2014 05:09:10 GMT
Received: from userz7021.oracle.com (userz7021.oracle.com [156.151.31.85])
 by acsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s1A5987n014677
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=FAIL);
 Mon, 10 Feb 2014 05:09:09 GMT
Received: from abhmp0005.oracle.com (abhmp0005.oracle.com [141.146.116.11])
 by userz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s1A598tq024854;
 Mon, 10 Feb 2014 05:09:08 GMT
MIME-Version: 1.0
Message-ID: <66bde929-3dd7-4eed-b006-2e6e7a5abe30@default>
Date: Sun, 9 Feb 2014 21:09:05 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: RE: bug#11325: 24.1.50; regression: bad order for
 `substitute-command-keys' with keymap
References: <FE385EB467D44FCA9B368B25DA2B90DE@HIDDEN>
 <87a9dza7gl.fsf@HIDDEN>
In-Reply-To: <87a9dza7gl.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: acsinet21.oracle.com [141.146.126.237]
X-Spam-Score: -2.9 (--)
X-Debbugs-Envelope-To: 11325
Cc: 11325 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.9 (--)

> > Then it was broken differently in Emacs 24, which puts `e..f'
> > first in the list, but restores `0..9' to its rightful place.
>=20
> Isn't the main problem here that it even tries to do a two-letter
> range?

You could argue that also.  But there is no ambiguity in such a
notation, given that if `e .. f' were a multiple-key sequence
then it would be handled differently (via `Prefix Key').

Anyway, that is not what this bug report is about.  But yes,
if we got rid of that notation then presumably `e' and `f' would
go back to their rightful places alphabetically.

> Seems awfully odd to me:

Being out of order is odd.  That is what this bug thread is about.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11325; Package emacs. Full text available.
Added tag(s) confirmed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 11325 <at> debbugs.gnu.org:


Received: (at 11325) by debbugs.gnu.org; 10 Feb 2014 05:01:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 10 00:01:13 2014
Received: from localhost ([127.0.0.1]:33517 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WCizY-0007nH-Mg
	for submit <at> debbugs.gnu.org; Mon, 10 Feb 2014 00:01:13 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:58646)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <larsi@HIDDEN>) id 1WCizV-0007mM-VO
 for 11325 <at> debbugs.gnu.org; Mon, 10 Feb 2014 00:01:10 -0500
Received: from [204.14.154.233] (helo=building.gnus.org)
 by hermes.netfonds.no with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1WCizD-0006Kz-U9; Mon, 10 Feb 2014 06:00:52 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#11325: 24.1.50;
 regression: bad order for `substitute-command-keys' with keymap
References: <FE385EB467D44FCA9B368B25DA2B90DE@HIDDEN>
Date: Sun, 09 Feb 2014 20:59:38 -0800
In-Reply-To: <FE385EB467D44FCA9B368B25DA2B90DE@HIDDEN> (Drew Adams's
 message of "Tue, 24 Apr 2012 08:11:42 -0700")
Message-ID: <87a9dza7gl.fsf@HIDDEN>
User-Agent: Gnus/5.13001 (Ma Gnus v0.10) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1WCizD-0006Kz-U9
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1392613255.54955@KV+G3mol8pGt7nj9HQmPXg
X-Spam-Status: No
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 11325
Cc: 11325 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

"Drew Adams" <drew.adams@HIDDEN> writes:

> Then it was broken differently in Emacs 24, which puts `e..f'
> first in the list, but restores `0..9' to its rightful place.

Isn't the main problem here that it even tries to do a two-letter range?
Seems awfully odd to me:

(substitute-command-keys "\\{dired-mode-map}")
"key             binding
---             -------

e .. f		dired-find-file

C-c		Prefix Command
RET		dired-find-file
C-o		dired-display-file
C-t		Prefix Command
ESC		Prefix Command
SPC		dired-next-line
!		dired-do-shell-command
#		dired-flag-auto-save-files
$		dired-hide-subdir
%		Prefix Command
&		dired-do-async-shell-command
(		dired-hide-details-mode
*		Prefix Command
+		dired-create-directory
-		negative-argument
.		dired-clean-directory
0 .. 9		digit-argument


-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11325; Package emacs. Full text available.

Message received at 11325 <at> debbugs.gnu.org:


Received: (at 11325) by debbugs.gnu.org; 17 Sep 2012 00:03:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 16 20:03:29 2012
Received: from localhost ([127.0.0.1]:37846 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TDOoC-0006Ey-Ny
	for submit <at> debbugs.gnu.org; Sun, 16 Sep 2012 20:03:29 -0400
Received: from acsinet15.oracle.com ([141.146.126.227]:34787)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1TDOoB-0006Er-7R
	for 11325 <at> debbugs.gnu.org; Sun, 16 Sep 2012 20:03:27 -0400
Received: from acsinet22.oracle.com (acsinet22.oracle.com [141.146.126.238])
	by acsinet15.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id q8H02E2f031905
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
	for <11325 <at> debbugs.gnu.org>; Mon, 17 Sep 2012 00:02:14 GMT
Received: from acsmt358.oracle.com (acsmt358.oracle.com [141.146.40.158])
	by acsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	q8H02DxW001031
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO)
	for <11325 <at> debbugs.gnu.org>; Mon, 17 Sep 2012 00:02:13 GMT
Received: from abhmt113.oracle.com (abhmt113.oracle.com [141.146.116.65])
	by acsmt358.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	q8H02DQU020177
	for <11325 <at> debbugs.gnu.org>; Sun, 16 Sep 2012 19:02:13 -0500
Received: from dradamslap1 (/10.159.170.142)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Sun, 16 Sep 2012 17:02:13 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: <11325 <at> debbugs.gnu.org>
References: <FE385EB467D44FCA9B368B25DA2B90DE@HIDDEN>
Subject: RE: bug#11325: 24.1.50;
	regression: bad order for `substitute-command-keys' with keymap
Date: Sun, 16 Sep 2012 17:02:02 -0700
Message-ID: <EC99EC7496C645A5ACAB80F6E47B84AD@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <FE385EB467D44FCA9B368B25DA2B90DE@HIDDEN>
Thread-Index: Ac0iLI38NB/JCCl5TdqMGW7p88NIKByOuV9Q
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: acsinet22.oracle.com [141.146.126.238]
X-Spam-Score: -7.4 (-------)
X-Debbugs-Envelope-To: 11325
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -7.4 (-------)

ping

regression





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11325; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Apr 2012 15:13:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 24 11:13:12 2012
Received: from localhost ([127.0.0.1]:50870 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SMhQW-0008Cz-0u
	for submit <at> debbugs.gnu.org; Tue, 24 Apr 2012 11:13:12 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45484)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1SMhQT-0008Cl-Sr
	for submit <at> debbugs.gnu.org; Tue, 24 Apr 2012 11:13:10 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1SMhPY-0004kJ-Er
	for submit <at> debbugs.gnu.org; Tue, 24 Apr 2012 11:12:16 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI,
	UNPARSEABLE_RELAY autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:46087)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1SMhPY-0004kD-Bq
	for submit <at> debbugs.gnu.org; Tue, 24 Apr 2012 11:12:12 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51604)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1SMhPS-0006bn-4L
	for bug-gnu-emacs@HIDDEN; Tue, 24 Apr 2012 11:12:11 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1SMhPI-0004hH-30
	for bug-gnu-emacs@HIDDEN; Tue, 24 Apr 2012 11:12:05 -0400
Received: from acsinet15.oracle.com ([141.146.126.227]:43194)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1SMhPH-0004gt-TH
	for bug-gnu-emacs@HIDDEN; Tue, 24 Apr 2012 11:11:56 -0400
Received: from ucsinet22.oracle.com (ucsinet22.oracle.com [156.151.31.94])
	by acsinet15.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id q3OFBlrk032393
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
	for <bug-gnu-emacs@HIDDEN>; Tue, 24 Apr 2012 15:11:50 GMT
Received: from acsmt358.oracle.com (acsmt358.oracle.com [141.146.40.158])
	by ucsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	q3OFBlRP014776
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO)
	for <bug-gnu-emacs@HIDDEN>; Tue, 24 Apr 2012 15:11:47 GMT
Received: from abhmt116.oracle.com (abhmt116.oracle.com [141.146.116.68])
	by acsmt358.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	q3OFBkrB019097
	for <bug-gnu-emacs@HIDDEN>; Tue, 24 Apr 2012 10:11:46 -0500
Received: from dradamslap1 (/10.159.223.238)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Tue, 24 Apr 2012 08:11:46 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: <bug-gnu-emacs@HIDDEN>
Subject: 24.1.50;
	regression: bad order for `substitute-command-keys' with keymap
Date: Tue, 24 Apr 2012 08:11:42 -0700
Message-ID: <FE385EB467D44FCA9B368B25DA2B90DE@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
Thread-Index: Ac0iLI38NB/JCCl5TdqMGW7p88NIKA==
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: ucsinet22.oracle.com [156.151.31.94]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 1)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.1 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.1 (------)

eamcs -Q
 
1. Visit a Dired buffer, then switch back to *scratch*.
 
2. Type this: (substitute-command-keys "\\{dired-mode-map}")

3. Then hit C-j.
 
Look at where you find these entries: `e..f' and `0..9'.
They are out of order.
 
The order provided in all Emacs versions prior to Emacs 23 is
reasonable and user-friendly.  It puts `e..f' among the
lowercase letter, in alphabetical order, i.e., between `d' and
`g'.  It puts `0..9' between `.' and `<', i.e., in ASCII order
(`:' is not bound in Emacs prior to Emacs 23).
 
This was broken first in Emacs 23, which puts `0..9' and `e..f'
first in the list, in that order.
 
Then it was broken differently in Emacs 24, which puts `e..f'
first in the list, but restores `0..9' to its rightful place.
 
Users should be able to find chars/keys in ASCII order.  This is
particularly important for letters.
 

In GNU Emacs 24.1.50.1 (i386-mingw-nt5.1.2600)
 of 2012-04-23 on MARVIN
Bzr revision: 108006
agustin.martin@HIDDEN
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (4.6) --no-opt --enable-checking --cflags
 -ID:/devel/emacs/libs/libXpm-3.5.8/include
 -ID:/devel/emacs/libs/libXpm-3.5.8/src
 -ID:/devel/emacs/libs/libpng-dev_1.4.3-1/include
 -ID:/devel/emacs/libs/zlib-dev_1.2.5-2/include
 -ID:/devel/emacs/libs/giflib-4.1.4-1/include
 -ID:/devel/emacs/libs/jpeg-6b-4/include
 -ID:/devel/emacs/libs/tiff-3.8.2-1/include
 -ID:/devel/emacs/libs/gnutls-3.0.9/include
 -ID:/devel/emacs/libs/libiconv-1.13.1-1-dev/include
 -ID:/devel/emacs/libs/libxml2-2.7.8/include/libxml2'
 





Acknowledgement sent to "Drew Adams" <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#11325; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 21 Oct 2021 03:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.